Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network141.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
141.0.0.0
Broadcast address
141.255.255.255
First usable
141.0.0.1
Last usable
141.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 8D000000 · Integer 2365587456 to 2382364671
Reverse DNS zone
141.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001101..00000000.00000000.00000000141.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10001101..00000000.00000000.00000000141.0.0.0
Broadcast10001101..11111111.11111111.11111111141.255.255.255
Split into smaller subnets/19

141.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1141.0.0.0/19141.0.0.1 to 141.0.31.254141.0.31.2558,190
2141.0.32.0/19141.0.32.1 to 141.0.63.254141.0.63.2558,190
3141.0.64.0/19141.0.64.1 to 141.0.95.254141.0.95.2558,190
4141.0.96.0/19141.0.96.1 to 141.0.127.254141.0.127.2558,190
5141.0.128.0/19141.0.128.1 to 141.0.159.254141.0.159.2558,190
6141.0.160.0/19141.0.160.1 to 141.0.191.254141.0.191.2558,190
7141.0.192.0/19141.0.192.1 to 141.0.223.254141.0.223.2558,190
8141.0.224.0/19141.0.224.1 to 141.0.255.254141.0.255.2558,190
9141.1.0.0/19141.1.0.1 to 141.1.31.254141.1.31.2558,190
10141.1.32.0/19141.1.32.1 to 141.1.63.254141.1.63.2558,190
11141.1.64.0/19141.1.64.1 to 141.1.95.254141.1.95.2558,190
12141.1.96.0/19141.1.96.1 to 141.1.127.254141.1.127.2558,190
13141.1.128.0/19141.1.128.1 to 141.1.159.254141.1.159.2558,190
14141.1.160.0/19141.1.160.1 to 141.1.191.254141.1.191.2558,190
15141.1.192.0/19141.1.192.1 to 141.1.223.254141.1.223.2558,190
16141.1.224.0/19141.1.224.1 to 141.1.255.254141.1.255.2558,190
17141.2.0.0/19141.2.0.1 to 141.2.31.254141.2.31.2558,190
18141.2.32.0/19141.2.32.1 to 141.2.63.254141.2.63.2558,190
19141.2.64.0/19141.2.64.1 to 141.2.95.254141.2.95.2558,190
20141.2.96.0/19141.2.96.1 to 141.2.127.254141.2.127.2558,190
21141.2.128.0/19141.2.128.1 to 141.2.159.254141.2.159.2558,190
22141.2.160.0/19141.2.160.1 to 141.2.191.254141.2.191.2558,190
23141.2.192.0/19141.2.192.1 to 141.2.223.254141.2.223.2558,190
24141.2.224.0/19141.2.224.1 to 141.2.255.254141.2.255.2558,190
25141.3.0.0/19141.3.0.1 to 141.3.31.254141.3.31.2558,190
26141.3.32.0/19141.3.32.1 to 141.3.63.254141.3.63.2558,190
27141.3.64.0/19141.3.64.1 to 141.3.95.254141.3.95.2558,190
28141.3.96.0/19141.3.96.1 to 141.3.127.254141.3.127.2558,190
29141.3.128.0/19141.3.128.1 to 141.3.159.254141.3.159.2558,190
30141.3.160.0/19141.3.160.1 to 141.3.191.254141.3.191.2558,190
31141.3.192.0/19141.3.192.1 to 141.3.223.254141.3.223.2558,190
32141.3.224.0/19141.3.224.1 to 141.3.255.254141.3.255.2558,190
33141.4.0.0/19141.4.0.1 to 141.4.31.254141.4.31.2558,190
34141.4.32.0/19141.4.32.1 to 141.4.63.254141.4.63.2558,190
35141.4.64.0/19141.4.64.1 to 141.4.95.254141.4.95.2558,190
36141.4.96.0/19141.4.96.1 to 141.4.127.254141.4.127.2558,190
37141.4.128.0/19141.4.128.1 to 141.4.159.254141.4.159.2558,190
38141.4.160.0/19141.4.160.1 to 141.4.191.254141.4.191.2558,190
39141.4.192.0/19141.4.192.1 to 141.4.223.254141.4.223.2558,190
40141.4.224.0/19141.4.224.1 to 141.4.255.254141.4.255.2558,190
41141.5.0.0/19141.5.0.1 to 141.5.31.254141.5.31.2558,190
42141.5.32.0/19141.5.32.1 to 141.5.63.254141.5.63.2558,190
43141.5.64.0/19141.5.64.1 to 141.5.95.254141.5.95.2558,190
44141.5.96.0/19141.5.96.1 to 141.5.127.254141.5.127.2558,190
45141.5.128.0/19141.5.128.1 to 141.5.159.254141.5.159.2558,190
46141.5.160.0/19141.5.160.1 to 141.5.191.254141.5.191.2558,190
47141.5.192.0/19141.5.192.1 to 141.5.223.254141.5.223.2558,190
48141.5.224.0/19141.5.224.1 to 141.5.255.254141.5.255.2558,190
49141.6.0.0/19141.6.0.1 to 141.6.31.254141.6.31.2558,190
50141.6.32.0/19141.6.32.1 to 141.6.63.254141.6.63.2558,190
51141.6.64.0/19141.6.64.1 to 141.6.95.254141.6.95.2558,190
52141.6.96.0/19141.6.96.1 to 141.6.127.254141.6.127.2558,190
53141.6.128.0/19141.6.128.1 to 141.6.159.254141.6.159.2558,190
54141.6.160.0/19141.6.160.1 to 141.6.191.254141.6.191.2558,190
55141.6.192.0/19141.6.192.1 to 141.6.223.254141.6.223.2558,190
56141.6.224.0/19141.6.224.1 to 141.6.255.254141.6.255.2558,190
57141.7.0.0/19141.7.0.1 to 141.7.31.254141.7.31.2558,190
58141.7.32.0/19141.7.32.1 to 141.7.63.254141.7.63.2558,190
59141.7.64.0/19141.7.64.1 to 141.7.95.254141.7.95.2558,190
60141.7.96.0/19141.7.96.1 to 141.7.127.254141.7.127.2558,190
61141.7.128.0/19141.7.128.1 to 141.7.159.254141.7.159.2558,190
62141.7.160.0/19141.7.160.1 to 141.7.191.254141.7.191.2558,190
63141.7.192.0/19141.7.192.1 to 141.7.223.254141.7.223.2558,190
64141.7.224.0/19141.7.224.1 to 141.7.255.254141.7.255.2558,190
65141.8.0.0/19141.8.0.1 to 141.8.31.254141.8.31.2558,190
66141.8.32.0/19141.8.32.1 to 141.8.63.254141.8.63.2558,190
67141.8.64.0/19141.8.64.1 to 141.8.95.254141.8.95.2558,190
68141.8.96.0/19141.8.96.1 to 141.8.127.254141.8.127.2558,190
69141.8.128.0/19141.8.128.1 to 141.8.159.254141.8.159.2558,190
70141.8.160.0/19141.8.160.1 to 141.8.191.254141.8.191.2558,190
71141.8.192.0/19141.8.192.1 to 141.8.223.254141.8.223.2558,190
72141.8.224.0/19141.8.224.1 to 141.8.255.254141.8.255.2558,190
73141.9.0.0/19141.9.0.1 to 141.9.31.254141.9.31.2558,190
74141.9.32.0/19141.9.32.1 to 141.9.63.254141.9.63.2558,190
75141.9.64.0/19141.9.64.1 to 141.9.95.254141.9.95.2558,190
76141.9.96.0/19141.9.96.1 to 141.9.127.254141.9.127.2558,190
77141.9.128.0/19141.9.128.1 to 141.9.159.254141.9.159.2558,190
78141.9.160.0/19141.9.160.1 to 141.9.191.254141.9.191.2558,190
79141.9.192.0/19141.9.192.1 to 141.9.223.254141.9.223.2558,190
80141.9.224.0/19141.9.224.1 to 141.9.255.254141.9.255.2558,190
81141.10.0.0/19141.10.0.1 to 141.10.31.254141.10.31.2558,190
82141.10.32.0/19141.10.32.1 to 141.10.63.254141.10.63.2558,190
83141.10.64.0/19141.10.64.1 to 141.10.95.254141.10.95.2558,190
84141.10.96.0/19141.10.96.1 to 141.10.127.254141.10.127.2558,190
85141.10.128.0/19141.10.128.1 to 141.10.159.254141.10.159.2558,190
86141.10.160.0/19141.10.160.1 to 141.10.191.254141.10.191.2558,190
87141.10.192.0/19141.10.192.1 to 141.10.223.254141.10.223.2558,190
88141.10.224.0/19141.10.224.1 to 141.10.255.254141.10.255.2558,190
89141.11.0.0/19141.11.0.1 to 141.11.31.254141.11.31.2558,190
90141.11.32.0/19141.11.32.1 to 141.11.63.254141.11.63.2558,190
91141.11.64.0/19141.11.64.1 to 141.11.95.254141.11.95.2558,190
92141.11.96.0/19141.11.96.1 to 141.11.127.254141.11.127.2558,190
93141.11.128.0/19141.11.128.1 to 141.11.159.254141.11.159.2558,190
94141.11.160.0/19141.11.160.1 to 141.11.191.254141.11.191.2558,190
95141.11.192.0/19141.11.192.1 to 141.11.223.254141.11.223.2558,190
96141.11.224.0/19141.11.224.1 to 141.11.255.254141.11.255.2558,190
97141.12.0.0/19141.12.0.1 to 141.12.31.254141.12.31.2558,190
98141.12.32.0/19141.12.32.1 to 141.12.63.254141.12.63.2558,190
99141.12.64.0/19141.12.64.1 to 141.12.95.254141.12.95.2558,190
100141.12.96.0/19141.12.96.1 to 141.12.127.254141.12.127.2558,190
101141.12.128.0/19141.12.128.1 to 141.12.159.254141.12.159.2558,190
102141.12.160.0/19141.12.160.1 to 141.12.191.254141.12.191.2558,190
103141.12.192.0/19141.12.192.1 to 141.12.223.254141.12.223.2558,190
104141.12.224.0/19141.12.224.1 to 141.12.255.254141.12.255.2558,190
105141.13.0.0/19141.13.0.1 to 141.13.31.254141.13.31.2558,190
106141.13.32.0/19141.13.32.1 to 141.13.63.254141.13.63.2558,190
107141.13.64.0/19141.13.64.1 to 141.13.95.254141.13.95.2558,190
108141.13.96.0/19141.13.96.1 to 141.13.127.254141.13.127.2558,190
109141.13.128.0/19141.13.128.1 to 141.13.159.254141.13.159.2558,190
110141.13.160.0/19141.13.160.1 to 141.13.191.254141.13.191.2558,190
111141.13.192.0/19141.13.192.1 to 141.13.223.254141.13.223.2558,190
112141.13.224.0/19141.13.224.1 to 141.13.255.254141.13.255.2558,190
113141.14.0.0/19141.14.0.1 to 141.14.31.254141.14.31.2558,190
114141.14.32.0/19141.14.32.1 to 141.14.63.254141.14.63.2558,190
115141.14.64.0/19141.14.64.1 to 141.14.95.254141.14.95.2558,190
116141.14.96.0/19141.14.96.1 to 141.14.127.254141.14.127.2558,190
117141.14.128.0/19141.14.128.1 to 141.14.159.254141.14.159.2558,190
118141.14.160.0/19141.14.160.1 to 141.14.191.254141.14.191.2558,190
119141.14.192.0/19141.14.192.1 to 141.14.223.254141.14.223.2558,190
120141.14.224.0/19141.14.224.1 to 141.14.255.254141.14.255.2558,190
121141.15.0.0/19141.15.0.1 to 141.15.31.254141.15.31.2558,190
122141.15.32.0/19141.15.32.1 to 141.15.63.254141.15.63.2558,190
123141.15.64.0/19141.15.64.1 to 141.15.95.254141.15.95.2558,190
124141.15.96.0/19141.15.96.1 to 141.15.127.254141.15.127.2558,190
125141.15.128.0/19141.15.128.1 to 141.15.159.254141.15.159.2558,190
126141.15.160.0/19141.15.160.1 to 141.15.191.254141.15.191.2558,190
127141.15.192.0/19141.15.192.1 to 141.15.223.254141.15.223.2558,190
128141.15.224.0/19141.15.224.1 to 141.15.255.254141.15.255.2558,190
129141.16.0.0/19141.16.0.1 to 141.16.31.254141.16.31.2558,190
130141.16.32.0/19141.16.32.1 to 141.16.63.254141.16.63.2558,190
131141.16.64.0/19141.16.64.1 to 141.16.95.254141.16.95.2558,190
132141.16.96.0/19141.16.96.1 to 141.16.127.254141.16.127.2558,190
133141.16.128.0/19141.16.128.1 to 141.16.159.254141.16.159.2558,190
134141.16.160.0/19141.16.160.1 to 141.16.191.254141.16.191.2558,190
135141.16.192.0/19141.16.192.1 to 141.16.223.254141.16.223.2558,190
136141.16.224.0/19141.16.224.1 to 141.16.255.254141.16.255.2558,190
137141.17.0.0/19141.17.0.1 to 141.17.31.254141.17.31.2558,190
138141.17.32.0/19141.17.32.1 to 141.17.63.254141.17.63.2558,190
139141.17.64.0/19141.17.64.1 to 141.17.95.254141.17.95.2558,190
140141.17.96.0/19141.17.96.1 to 141.17.127.254141.17.127.2558,190
141141.17.128.0/19141.17.128.1 to 141.17.159.254141.17.159.2558,190
142141.17.160.0/19141.17.160.1 to 141.17.191.254141.17.191.2558,190
143141.17.192.0/19141.17.192.1 to 141.17.223.254141.17.223.2558,190
144141.17.224.0/19141.17.224.1 to 141.17.255.254141.17.255.2558,190
145141.18.0.0/19141.18.0.1 to 141.18.31.254141.18.31.2558,190
146141.18.32.0/19141.18.32.1 to 141.18.63.254141.18.63.2558,190
147141.18.64.0/19141.18.64.1 to 141.18.95.254141.18.95.2558,190
148141.18.96.0/19141.18.96.1 to 141.18.127.254141.18.127.2558,190
149141.18.128.0/19141.18.128.1 to 141.18.159.254141.18.159.2558,190
150141.18.160.0/19141.18.160.1 to 141.18.191.254141.18.191.2558,190
151141.18.192.0/19141.18.192.1 to 141.18.223.254141.18.223.2558,190
152141.18.224.0/19141.18.224.1 to 141.18.255.254141.18.255.2558,190
153141.19.0.0/19141.19.0.1 to 141.19.31.254141.19.31.2558,190
154141.19.32.0/19141.19.32.1 to 141.19.63.254141.19.63.2558,190
155141.19.64.0/19141.19.64.1 to 141.19.95.254141.19.95.2558,190
156141.19.96.0/19141.19.96.1 to 141.19.127.254141.19.127.2558,190
157141.19.128.0/19141.19.128.1 to 141.19.159.254141.19.159.2558,190
158141.19.160.0/19141.19.160.1 to 141.19.191.254141.19.191.2558,190
159141.19.192.0/19141.19.192.1 to 141.19.223.254141.19.223.2558,190
160141.19.224.0/19141.19.224.1 to 141.19.255.254141.19.255.2558,190
161141.20.0.0/19141.20.0.1 to 141.20.31.254141.20.31.2558,190
162141.20.32.0/19141.20.32.1 to 141.20.63.254141.20.63.2558,190
163141.20.64.0/19141.20.64.1 to 141.20.95.254141.20.95.2558,190
164141.20.96.0/19141.20.96.1 to 141.20.127.254141.20.127.2558,190
165141.20.128.0/19141.20.128.1 to 141.20.159.254141.20.159.2558,190
166141.20.160.0/19141.20.160.1 to 141.20.191.254141.20.191.2558,190
167141.20.192.0/19141.20.192.1 to 141.20.223.254141.20.223.2558,190
168141.20.224.0/19141.20.224.1 to 141.20.255.254141.20.255.2558,190
169141.21.0.0/19141.21.0.1 to 141.21.31.254141.21.31.2558,190
170141.21.32.0/19141.21.32.1 to 141.21.63.254141.21.63.2558,190
171141.21.64.0/19141.21.64.1 to 141.21.95.254141.21.95.2558,190
172141.21.96.0/19141.21.96.1 to 141.21.127.254141.21.127.2558,190
173141.21.128.0/19141.21.128.1 to 141.21.159.254141.21.159.2558,190
174141.21.160.0/19141.21.160.1 to 141.21.191.254141.21.191.2558,190
175141.21.192.0/19141.21.192.1 to 141.21.223.254141.21.223.2558,190
176141.21.224.0/19141.21.224.1 to 141.21.255.254141.21.255.2558,190
177141.22.0.0/19141.22.0.1 to 141.22.31.254141.22.31.2558,190
178141.22.32.0/19141.22.32.1 to 141.22.63.254141.22.63.2558,190
179141.22.64.0/19141.22.64.1 to 141.22.95.254141.22.95.2558,190
180141.22.96.0/19141.22.96.1 to 141.22.127.254141.22.127.2558,190
181141.22.128.0/19141.22.128.1 to 141.22.159.254141.22.159.2558,190
182141.22.160.0/19141.22.160.1 to 141.22.191.254141.22.191.2558,190
183141.22.192.0/19141.22.192.1 to 141.22.223.254141.22.223.2558,190
184141.22.224.0/19141.22.224.1 to 141.22.255.254141.22.255.2558,190
185141.23.0.0/19141.23.0.1 to 141.23.31.254141.23.31.2558,190
186141.23.32.0/19141.23.32.1 to 141.23.63.254141.23.63.2558,190
187141.23.64.0/19141.23.64.1 to 141.23.95.254141.23.95.2558,190
188141.23.96.0/19141.23.96.1 to 141.23.127.254141.23.127.2558,190
189141.23.128.0/19141.23.128.1 to 141.23.159.254141.23.159.2558,190
190141.23.160.0/19141.23.160.1 to 141.23.191.254141.23.191.2558,190
191141.23.192.0/19141.23.192.1 to 141.23.223.254141.23.223.2558,190
192141.23.224.0/19141.23.224.1 to 141.23.255.254141.23.255.2558,190
193141.24.0.0/19141.24.0.1 to 141.24.31.254141.24.31.2558,190
194141.24.32.0/19141.24.32.1 to 141.24.63.254141.24.63.2558,190
195141.24.64.0/19141.24.64.1 to 141.24.95.254141.24.95.2558,190
196141.24.96.0/19141.24.96.1 to 141.24.127.254141.24.127.2558,190
197141.24.128.0/19141.24.128.1 to 141.24.159.254141.24.159.2558,190
198141.24.160.0/19141.24.160.1 to 141.24.191.254141.24.191.2558,190
199141.24.192.0/19141.24.192.1 to 141.24.223.254141.24.223.2558,190
200141.24.224.0/19141.24.224.1 to 141.24.255.254141.24.255.2558,190
201141.25.0.0/19141.25.0.1 to 141.25.31.254141.25.31.2558,190
202141.25.32.0/19141.25.32.1 to 141.25.63.254141.25.63.2558,190
203141.25.64.0/19141.25.64.1 to 141.25.95.254141.25.95.2558,190
204141.25.96.0/19141.25.96.1 to 141.25.127.254141.25.127.2558,190
205141.25.128.0/19141.25.128.1 to 141.25.159.254141.25.159.2558,190
206141.25.160.0/19141.25.160.1 to 141.25.191.254141.25.191.2558,190
207141.25.192.0/19141.25.192.1 to 141.25.223.254141.25.223.2558,190
208141.25.224.0/19141.25.224.1 to 141.25.255.254141.25.255.2558,190
209141.26.0.0/19141.26.0.1 to 141.26.31.254141.26.31.2558,190
210141.26.32.0/19141.26.32.1 to 141.26.63.254141.26.63.2558,190
211141.26.64.0/19141.26.64.1 to 141.26.95.254141.26.95.2558,190
212141.26.96.0/19141.26.96.1 to 141.26.127.254141.26.127.2558,190
213141.26.128.0/19141.26.128.1 to 141.26.159.254141.26.159.2558,190
214141.26.160.0/19141.26.160.1 to 141.26.191.254141.26.191.2558,190
215141.26.192.0/19141.26.192.1 to 141.26.223.254141.26.223.2558,190
216141.26.224.0/19141.26.224.1 to 141.26.255.254141.26.255.2558,190
217141.27.0.0/19141.27.0.1 to 141.27.31.254141.27.31.2558,190
218141.27.32.0/19141.27.32.1 to 141.27.63.254141.27.63.2558,190
219141.27.64.0/19141.27.64.1 to 141.27.95.254141.27.95.2558,190
220141.27.96.0/19141.27.96.1 to 141.27.127.254141.27.127.2558,190
221141.27.128.0/19141.27.128.1 to 141.27.159.254141.27.159.2558,190
222141.27.160.0/19141.27.160.1 to 141.27.191.254141.27.191.2558,190
223141.27.192.0/19141.27.192.1 to 141.27.223.254141.27.223.2558,190
224141.27.224.0/19141.27.224.1 to 141.27.255.254141.27.255.2558,190
225141.28.0.0/19141.28.0.1 to 141.28.31.254141.28.31.2558,190
226141.28.32.0/19141.28.32.1 to 141.28.63.254141.28.63.2558,190
227141.28.64.0/19141.28.64.1 to 141.28.95.254141.28.95.2558,190
228141.28.96.0/19141.28.96.1 to 141.28.127.254141.28.127.2558,190
229141.28.128.0/19141.28.128.1 to 141.28.159.254141.28.159.2558,190
230141.28.160.0/19141.28.160.1 to 141.28.191.254141.28.191.2558,190
231141.28.192.0/19141.28.192.1 to 141.28.223.254141.28.223.2558,190
232141.28.224.0/19141.28.224.1 to 141.28.255.254141.28.255.2558,190
233141.29.0.0/19141.29.0.1 to 141.29.31.254141.29.31.2558,190
234141.29.32.0/19141.29.32.1 to 141.29.63.254141.29.63.2558,190
235141.29.64.0/19141.29.64.1 to 141.29.95.254141.29.95.2558,190
236141.29.96.0/19141.29.96.1 to 141.29.127.254141.29.127.2558,190
237141.29.128.0/19141.29.128.1 to 141.29.159.254141.29.159.2558,190
238141.29.160.0/19141.29.160.1 to 141.29.191.254141.29.191.2558,190
239141.29.192.0/19141.29.192.1 to 141.29.223.254141.29.223.2558,190
240141.29.224.0/19141.29.224.1 to 141.29.255.254141.29.255.2558,190
241141.30.0.0/19141.30.0.1 to 141.30.31.254141.30.31.2558,190
242141.30.32.0/19141.30.32.1 to 141.30.63.254141.30.63.2558,190
243141.30.64.0/19141.30.64.1 to 141.30.95.254141.30.95.2558,190
244141.30.96.0/19141.30.96.1 to 141.30.127.254141.30.127.2558,190
245141.30.128.0/19141.30.128.1 to 141.30.159.254141.30.159.2558,190
246141.30.160.0/19141.30.160.1 to 141.30.191.254141.30.191.2558,190
247141.30.192.0/19141.30.192.1 to 141.30.223.254141.30.223.2558,190
248141.30.224.0/19141.30.224.1 to 141.30.255.254141.30.255.2558,190
249141.31.0.0/19141.31.0.1 to 141.31.31.254141.31.31.2558,190
250141.31.32.0/19141.31.32.1 to 141.31.63.254141.31.63.2558,190
251141.31.64.0/19141.31.64.1 to 141.31.95.254141.31.95.2558,190
252141.31.96.0/19141.31.96.1 to 141.31.127.254141.31.127.2558,190
253141.31.128.0/19141.31.128.1 to 141.31.159.254141.31.159.2558,190
254141.31.160.0/19141.31.160.1 to 141.31.191.254141.31.191.2558,190
255141.31.192.0/19141.31.192.1 to 141.31.223.254141.31.223.2558,190
256141.31.224.0/19141.31.224.1 to 141.31.255.254141.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses